Title: API Reference

URL Source: https://docs.shipp.ai/api-reference/

Markdown Content:
---
description: Shipp API Reference
---

[ Skip to content](#how-to-use-the-api) 

* [  How to Shipp ](../how-to/)
* [  API Reference ](./)
* [  Guides ](../platform-guides/)
* [  Go To Shipp Dashboard ](https://platform.shipp.ai)

# API Reference

Diving Deep?

This page is designed for AI Agents & users developing code directly. See [Getting Started](../) and [Platform Guides](../platform-guides/)

---

## How to use the API[¶](#how-to-use-the-api "Permanent link")

`[](#%5F%5Fcodelineno-0-1)curl 'https://api.shipp.ai/api/v1/connections?api_key=$api_key' | jq
`

Base URL: **`https://api.shipp.ai/api/v1/`**

Authorization is required for all endpoints. The API Key is available in the dashboard.

All requests & responses are JSON.

Status Codes follow normal meaning, 2xx is success, 4xx is a client error, and 5xx are server errors

## Reference[¶](#reference "Permanent link")

* [Create Connection](connections-create)
* [List Connections](connections-list)
* [Run Connection](connections-run)
* [Sport Schedule](sport-schedule)
* [Data Shape of Connections](connections-run-data-shape)
* [API Error Format](error-format)
* [Usage Tips](usage-tips)
* [API Versioning](versioning)
* [x402 Payments](x402)

 Back to top 